KIP People API (Public)

GetMyCurrentStudentInformation

Get a user’s student information for a academic specified year

get

Path Parameters

yearstring(iso-year)required

Year format (YYYY)

Example:2026

Response

application/json

The request has succeeded.

Models.Responses.UserStudentInformationResponse

The request has succeeded.

dataobjectrequired
Show Child Parameters
linksarray[object]required
Show Child Parameters
get/users/me/profile/student-information/{year}
 
application/json

AddMyCurrentStudentInformation

Add a user’s student information for a specific academic year

post

Path Parameters

yearstring(iso-year)required

Year format (YYYY)

Example:2026

Body

application/json

Models.StudentInformation

schoolIdstringrequired

The unique identifier of the school the student is enrolled in. Can be obtained from the /metadata/users/school-options endpoint.

studyLevelstringrequired

The study level of the student. Can be obtained from the /metadata/users/study-level-options endpoint.

academicYearstringrequired

The academic year of the student.

lastYearbooleanrequired

Indicates if the student is in their last year.

Response

application/json

The request has succeeded.

The request has succeeded.

datastring(uuid)required
linksarray[object]required
Show Child Parameters
post/users/me/profile/student-information/{year}

Body

{ "schoolId": "schoolId", "studyLevel": "studyLevel", "academicYear": "academicYear", "lastYear": false }
 
application/json

UpdateMyCurrentStudentInformation

Update a user’s student information for a specific academic year

put

Path Parameters

yearstring(iso-year)required

Year format (YYYY)

Example:2026

Body

application/json

Models.StudentInformation

schoolIdstringrequired

The unique identifier of the school the student is enrolled in. Can be obtained from the /metadata/users/school-options endpoint.

studyLevelstringrequired

The study level of the student. Can be obtained from the /metadata/users/study-level-options endpoint.

academicYearstringrequired

The academic year of the student.

lastYearbooleanrequired

Indicates if the student is in their last year.

Response

The request has succeeded.

put/users/me/profile/student-information/{year}

Body

{ "schoolId": "schoolId", "studyLevel": "studyLevel", "academicYear": "academicYear", "lastYear": false }
 

My Movies

GetMyMovieHistory

Get current user’s movie history

get

Query Parameters

pageinteger(int16)

Default:1

pageSizeinteger(int8)

Default:20

<= 100

Response

application/json

The request has succeeded.

Models.Responses.MovieHistoryResponse

The request has succeeded.

dataarray[object]required
Show Child Parameters
metaobject
Show Child Parameters
linksarray[object]required
Show Child Parameters
get/users/me/movies/history
 
application/json